Name: texi2html
Version: 1.76
Release: 4%{?dist}
License: GPL
Group: Applications/Text
Summary: A highly customizable texinfo to HTML and other formats translator
Source0: http://download.savannah.gnu.org/releases/texi2html/%{name}-%{version}.tar.bz2
Source1: texi2html-1.7-ja
Patch0: texi2html-1.74-Makefile.am.patch
Patch1: texi2html-1.74-UTF-8.patch
URL: http://www.nongnu.org/texi2html/
PreReq: info
Requires: perl >= 5.004
BuildRoot: %{_tmppath}/%{name}-root
BuildArch: noarch

%description
The basic purpose of texi2html is to convert Texinfo documents into HTML, 
and other formats.  Configuration files written in perl provide fine degree 
of control over the final output, allowing most every aspect of the final 
output not specified in the Texinfo input file to be specified.  

%prep
%setup -q
%patch0 -p1 -b .makefileam
%patch1 -p1 -b .utf8
install -m 644 %{SOURCE1} i18n/ja

%build
./configure  --program-prefix=%{?_program_prefix} \
             --prefix=%{_prefix} \
             --exec-prefix=%{_exec_prefix} \
             --bindir=%{_bindir} \
             --sbindir=%{_sbindir} \
             --sysconfdir=%{_sysconfdir} \
             --datadir=%{_datadir} \
             --includedir=%{_includedir} \
             --libdir=%{_libdir} \
             --libexecdir=%{_libexecdir} \
             --localstatedir=%{_localstatedir} \
             --sharedstatedir=%{_sharedstatedir} \
             --mandir=%{_mandir} \
             --infodir=%{_infodir}

make clean
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT 

rm -f $RPM_BUILD_ROOT%{_infodir}/dir

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/install-info %{_infodir}/%{name}.info.gz %{_infodir}/dir

%preun
if [ $1 = 0 ]; then
  /sbin/install-info --delete %{_infodir}/%{name}.info.gz \
    %{_infodir}/dir
fi

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog INTRODUCTION NEWS README TODO %{name}.init
%{_bindir}/%{name}
%{_datadir}/texinfo/html/%{name}.html
%{_mandir}/man*/%{name}*
%{_infodir}/%{name}.info*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*.init
%dir %{_datadir}/%{name}/i18n/
%{_datadir}/%{name}/i18n/*
%dir %{_datadir}/%{name}/images/
%{_datadir}/%{name}/images/*

%changelog
* Thu Aug 24 2006 Jindrich Novy <jnovy@redhat.com> 1.76-4.fc6
- correct URLs, name patch backups correctly

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 1.76-3.1
- rebuild

* Sat Feb 25 2006 Jindrich Novy <jnovy@redhat.com> 1.76-3
- PreReq info (#182888)

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Tue Mar 08 2005 Jindrich Novy <jnovy@redhat.com> 1.76-2
- replace %configure with ./configure to prevent definition of
  target, build and host for noarch package

* Fri Feb 18 2005 Jindrich Novy <jnovy@redhat.com> 1.76-1
- we have separate texi2html package now (#121889)
- fix Source0
- BuildArchitectures -> BuildArch
- create backups for patches

* Thu Feb 10 2005 MATSUURA Takanori <t-matsuu@estyle.ne.jp> - 1.76-0
- updated to 1.76

* Mon Jan 10 2005 MATSUURA Takanori <t-matsuu@estyle.ne.jp> - 1.72-1.fc3
- initial build for Fedora Core 3 based on spec file in source tarball

* Mon Mar 23 2004 Patrice Dumas <pertusus@free.fr> 0:1.69-0.fdr.1
- Initial build.
